Botan 2.19.5 Crypto and TLS for C&

Namespaces
tls_client.cpp File Reference
`#include <botan/tls_client.h>`
`#include <botan/tls_messages.h>`
`#include <botan/internal/tls_handshake_state.h>`
`#include <botan/internal/stl_util.h>`
`#include <iterator>`
`#include <sstream>`

Go to the source code of this file.

## Namespaces
namespace | Botan
namespace | Botan::TLS

## Variable Documentation

## ◆ m_is_reneg

bool m_is_reneg = false

Definition at line 56 of file tls_client.cpp.

## ◆ resumed_session

std::unique_ptr<Session> resumed_session

Definition at line 55 of file tls_client.cpp.

Referenced by Botan::TLS::Server_Hello::Server_Hello().

## ◆ server_public_key

std::unique_ptr<Public_Key> server_public_key

Definition at line 53 of file tls_client.cpp.